Create Business
Create Business
POST
/
businesses
Create Business
curl --request POST \
--url https://services.leadconnectorhq.com/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Microsoft",
"locationId": "5DP4iH6HLkQsiKESj6rh",
"phone": "+18832327657",
"email": "john@deo.com",
"website": "www.xyz.com",
"address": "street adress",
"city": "new york",
"postalCode": "12312312",
"state": "new york",
"country": "us",
"description": "business description"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Microsoft',
locationId: '5DP4iH6HLkQsiKESj6rh',
phone: '+18832327657',
email: 'john@deo.com',
website: 'www.xyz.com',
address: 'street adress',
city: 'new york',
postalCode: '12312312',
state: 'new york',
country: 'us',
description: 'business description'
})
};
fetch('https://services.leadconnectorhq.com/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/businesses"
payload = {
"name": "Microsoft",
"locationId": "5DP4iH6HLkQsiKESj6rh",
"phone": "+18832327657",
"email": "john@deo.com",
"website": "www.xyz.com",
"address": "street adress",
"city": "new york",
"postalCode": "12312312",
"state": "new york",
"country": "us",
"description": "business description"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"buiseness": {
"id": "63771dcac1116f0e21de8e12",
"name": "Microsoft",
"locationId": "<string>",
"phone": "<string>",
"email": "abc@microsoft.com",
"website": "microsoft.com",
"address": "<string>",
"city": "<string>",
"description": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "united states",
"updatedBy": {},
"createdBy": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Body
application/json
Example:
"Microsoft"
Example:
"5DP4iH6HLkQsiKESj6rh"
Example:
"+18832327657"
Example:
"john@deo.com"
Example:
"www.xyz.com"
Example:
"street adress"
Example:
"new york"
Example:
"12312312"
Example:
"new york"
Example:
"us"
Example:
"business description"
Last modified on March 8, 2026
Was this page helpful?
βI
Create Business
curl --request POST \
--url https://services.leadconnectorhq.com/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Microsoft",
"locationId": "5DP4iH6HLkQsiKESj6rh",
"phone": "+18832327657",
"email": "john@deo.com",
"website": "www.xyz.com",
"address": "street adress",
"city": "new york",
"postalCode": "12312312",
"state": "new york",
"country": "us",
"description": "business description"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Microsoft',
locationId: '5DP4iH6HLkQsiKESj6rh',
phone: '+18832327657',
email: 'john@deo.com',
website: 'www.xyz.com',
address: 'street adress',
city: 'new york',
postalCode: '12312312',
state: 'new york',
country: 'us',
description: 'business description'
})
};
fetch('https://services.leadconnectorhq.com/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/businesses"
payload = {
"name": "Microsoft",
"locationId": "5DP4iH6HLkQsiKESj6rh",
"phone": "+18832327657",
"email": "john@deo.com",
"website": "www.xyz.com",
"address": "street adress",
"city": "new york",
"postalCode": "12312312",
"state": "new york",
"country": "us",
"description": "business description"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"buiseness": {
"id": "63771dcac1116f0e21de8e12",
"name": "Microsoft",
"locationId": "<string>",
"phone": "<string>",
"email": "abc@microsoft.com",
"website": "microsoft.com",
"address": "<string>",
"city": "<string>",
"description": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "united states",
"updatedBy": {},
"createdBy": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}